# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_FieldOfHArray1OfHArray1OfReal Class Reference

`#include <PDataStd_FieldOfHArray1OfHArray1OfReal.hxx>`

Inheritance diagram for PDataStd_FieldOfHArray1OfHArray1OfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PDataStd_FieldOfHArray1OfHArray1OfReal ()
Standard_EXPORT | PDataStd_FieldOfHArray1OfHArray1OfReal (const Standard_Integer Size)
Standard_EXPORT | PDataStd_FieldOfHArray1OfHArray1OfReal (const PDataStd_FieldOfHArray1OfHArray1OfReal &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PDataStd_FieldOfHArray1OfHArray1OfReal &Other)
void | operator= (const PDataStd_FieldOfHArray1OfHArray1OfReal &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PColStd_HArray1OfReal)&Value)
Standard_EXPORT Handle_PColStd_HArray1OfReal & | Value (const Standard_Integer Index) const
Handle_PColStd_HArray1OfReal & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PDataStd_FieldOfHArray1OfHArray1OfReal ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PDataStd_FieldOfHArray1OfHArray1OfReal_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfReal::PDataStd_FieldOfHArray1OfHArray1OfReal | ( |  | ) |

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfReal::PDataStd_FieldOfHArray1OfHArray1OfReal | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfReal::PDataStd_FieldOfHArray1OfHArray1OfReal | ( | const PDataStd_FieldOfHArray1OfHArray1OfReal & | Varray | ) |

PDataStd_FieldOfHArray1OfHArray1OfReal::~PDataStd_FieldOfHArray1OfHArray1OfReal | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfReal::Assign | ( | const PDataStd_FieldOfHArray1OfHArray1OfReal & | Other | ) |

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfReal::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PDataStd_FieldOfHArray1OfHArray1OfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PDataStd_FieldOfHArray1OfHArray1OfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PDataStd_FieldOfHArray1OfHArray1OfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PColStd_HArray1OfReal& PDataStd_FieldOfHArray1OfHArray1OfReal::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PDataStd_FieldOfHArray1OfHArray1OfReal::operator= | ( | const PDataStd_FieldOfHArray1OfHArray1OfReal & | Other | ) | `[inline]`

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfReal::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfReal::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PColStd_HArray1OfReal)& | Value
| ) |

Standard_EXPORT Handle_PColStd_HArray1OfReal& PDataStd_FieldOfHArray1OfHArray1OfReal::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PDataStd_FieldOfHArray1OfHArray1OfReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PDataStd_FieldOfHArray1OfHArray1OfReal.hxx